From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/time/
Date: Fri, 10 Nov 2023 05:54:06 +0000 (UTC) [thread overview]
Message-ID: <1699595625.b6559c97757ce1f0aa15f92f9a04ae569ead1b6a.graaff@gentoo> (raw)
commit: b6559c97757ce1f0aa15f92f9a04ae569ead1b6a
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 10 05:53:45 2023 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Nov 10 05:53:45 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b6559c97
dev-ruby/time: add 0.3.0
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/time/Manifest | 1 +
dev-ruby/time/time-0.3.0.ebuild | 33 +++++++++++++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/dev-ruby/time/Manifest b/dev-ruby/time/Manifest
index 876759804fe1..5f2a62e3f9fb 100644
--- a/dev-ruby/time/Manifest
+++ b/dev-ruby/time/Manifest
@@ -1 +1,2 @@
DIST time-0.2.2.tar.gz 26129 BLAKE2B 9d7c507c06fca17c9a2734f1116524344518635562b0ba924cdf5e0b0b52cb31f6dffa7aa3c8c06e0d2f5f2c1ffdcef2a92756cd915822be6a1510f08fa91c56 SHA512 4866cd7df233222ed76cf3b35c842b6e1652b429aa15609bfe40f89683ad5df2ce7f37f41dfb0e85f610f2ebf4e431ea8046d67c3aed7aa345d928fe33ba1ae3
+DIST time-0.3.0.tar.gz 15520 BLAKE2B 05d30c8dd6da8544fe89e1f92a94d91adf198712acc236703947abef86c9ceefeedc2bc78150d3d1918b29972509c927510fea2e4bfec0a01ad12aa751e27fc2 SHA512 17483eebbddd3be40f83b35813ef5faa3b3fe695e3c13e4cc6d13579b64fd5d1637e2aca2f5e60192b4de6ae761efaa76aa6a6cbbcce7bade31f5f415f224b70
diff --git a/dev-ruby/time/time-0.3.0.ebuild b/dev-ruby/time/time-0.3.0.ebuild
new file mode 100644
index 000000000000..d47cd0cfadbd
--- /dev/null
+++ b/dev-ruby/time/time-0.3.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="time.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Extends the Time class with methods for parsing and conversion"
+HOMEPAGE="https://github.com/ruby/time"
+SRC_URI="https://github.com/ruby/time/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/date"
+
+all_ruby_prepare() {
+ sed -e 's/__dir__/"."/' \
+ -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test:test/lib -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}
next reply other threads:[~2023-11-10 5:54 UTC|newest]
Thread overview: 28+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-11-10 5:54 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-29 9:06 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/time/ Hans de Graaff
2024-11-08 7:12 Hans de Graaff
2024-11-04 19:35 Fabian Groffen
2024-10-28 6:43 Hans de Graaff
2024-10-11 9:56 Arthur Zamarin
2024-10-10 11:04 Arthur Zamarin
2024-10-08 20:37 Arthur Zamarin
2024-10-08 19:37 Arthur Zamarin
2024-10-06 11:35 Sam James
2024-09-06 4:59 Hans de Graaff
2024-07-17 5:57 Hans de Graaff
2024-07-17 4:38 Viorel Munteanu
2024-05-18 10:19 Sam James
2023-12-26 15:53 Hans de Graaff
2023-11-10 5:54 Hans de Graaff
2023-08-02 5:55 Sam James
2023-06-25 8:18 Arthur Zamarin
2023-03-31 7:17 Hans de Graaff
2023-03-29 0:46 Sam James
2023-03-28 23:01 Sam James
2023-03-28 23:01 Sam James
2023-03-28 22:12 Sam James
2023-03-28 21:53 Sam James
2023-03-28 21:52 Sam James
2023-03-04 14:09 Hans de Graaff
2022-12-14 6:53 Hans de Graaff
2022-03-27 7:13 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1699595625.b6559c97757ce1f0aa15f92f9a04ae569ead1b6a.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox